Create Customer Session
POST
/customer_sessionsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/customer_sessions" \ -H "Content-Type: application/json" \ -d '{ "customer": "string", "allowed_flows": [ "update_payment_method" ] }'{ "id": "string", "object": "customer_session", "customer": "string", "allowed_flows": [ "update_payment_method" ], "allowed_origins": [ "string" ], "expires_at": "2019-08-24T14:15:22Z", "idle_expires_at": "2019-08-24T14:15:22Z", "livemode": true, "token": "string"}Create Customer Billing Link POST
Returns a hosted billing URL once. Requires a secret or restricted API key with customers:write. Publishable keys, agents, person/member sessions, OAuth and customer/embed sessions are refused. Links expire after 24 hours and exchange once. Replays return already_issued metadata without a URL. No return_url is supported.
Create Custom Role POST
Next Page